PRIOn Logo

CVE-2017-0148 Remote code execution

Immediate
Remediate Within 48 Hours

CVE Information

Original CVE data

Published:
Updated:

The SMBv1 server in Microsoft Windows Vista SP2; Windows Server 2008 SP2 and R2 SP1; Windows 7 SP1; Windows 8.1; Windows Server 2012 Gold and R2; Windows RT 8.1; and Windows 10 Gold, 1511, and 1607; and Windows Server 2016 allows remote attackers to execute arbitrary code via crafted packets, aka "Windows SMB Remote Code Execution Vulnerability." This vulnerability is different from those described in CVE-2017-0143, CVE-2017-0144, CVE-2017-0145, and CVE-2017-0146.

CWE: CWE-20
CVSS v29.3
AV:N/AC:M/AU:N/C:C/I:C/A:C
CVSS v38.1
CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
References
https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2017-0148
http://www.securityfocus.com/bid/96706
http://www.securitytracker.com/id/1037991
https://www.exploit-db.com/exploits/41987/
https://www.exploit-db.com/exploits/41891/
https://ics-cert.us-cert.gov/advisories/ICSMA-18-058-02
https://cert-portal.siemens.com/productcert/pdf/ssa-701903.pdf
https://cert-portal.siemens.com/productcert/pdf/ssa-966341.pdf
http://packetstormsecurity.com/files/154690/DOUBLEPULSAR-Payload-Execution-Neutralization.html
http://packetstormsecurity.com/files/156196/SMB-DOUBLEPULSAR-Remote-Code-Execution.html
Affected Vendors

Microsoft - (1)

Siemens - (8)

Basic Analysis

Common vulnerability metrics

Vulnerabilty type as detected by PRIOnengine

Remote code execution

CVSS Scores as calculated by PRIOnengine
CVSS v29.3
AV:N/AC:M/AU:N/C:C/I:C/A:C
CVSS v38.1
AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
MITRE CWE Top 25

Vulnerability weakness type is in the top 25 CWEs according to MITRE. View Mitre Top 25 CWEs

Exploits

Exploits are available either through exploit packs, Github repos or the world wide web in general.

Active Exploitation

Vulnerability is referenced under CISA's Known Exploited Vulnerabilities (KEV) catalog. See the KEV Catalog

Social Network Activity

-

Threat Actor Activity

No sightings of the vulnerability within threat reports.

Cybersecurity Frameworks

How the vulnerability maps against various cybersecurity frameworks

T1499.004 - Endpoint Denial of Service (Application or System Exploitation)
T1203 - Exploitation for Client Execution
T1059 - Command and Scripting Interpreter

Compliance Impact

How the submited vulnerability affects compliance

-

Web Application Security Frameworks

Applicable if the issue likely affects a web application

-